Bug 1242723 - Review Request: perl-Alien-Packages - Find information of installed packages
Summary: Review Request: perl-Alien-Packages - Find information of installed packages
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-14 03:52 UTC by Tim Orling
Modified: 2015-11-01 02:50 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-16 06:58:23 UTC
orion: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Tim Orling 2015-07-14 03:52:37 UTC
Spec URL: https://ttorling.fedorapeople.org/perl-Alien-Packages/perl-Alien-Packages.spec
SRPM URL: https://ttorling.fedorapeople.org/perl-Alien-Packages/perl-Alien-Packages-0.003-1.fc23.src.rpm
Description: Alien::Packages - Find information of installed packages
Fedora Account System Username: ttorling

koji:
http://koji.fedoraproject.org/koji/taskinfo?taskID=10337917

copr:
https://copr.fedoraproject.org/coprs/ttorling/perl-meta-cpan-support/monitor/

This is one of four new packages needed to support meta-cpan (https://github.com/rehsack/meta-cpan) and Packager::Utils (https://github.com/rehsack/Packager-Utils)

This is my first package submission. I am in need of a sponsor.

Comment 1 Orion Poplawski 2015-07-14 04:25:26 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


ISSUES:

- Better summary, perhaps:  Find information of installed packages
- Need better description
- Need to install license with %license
- Drop %clean, %defattr(), rm -rf $RPM_BUILD_ROOT in %install
- Note: Buildroot: present but not needed
- Need email in %changelog
- No need to specify:

Requires:       perl(IPC::Cmd)
Requires:       perl(IPC::Run)
Requires:       perl(Module::Pluggable) >= 4.5

will be generated automatically.  I see no evidence that it uses IPC::Run?

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 10 files have unknown license. Detailed
     output of licensecheck in /export/home/orion/redhat/1242723-perl-
     Alien-Packages/licensecheck.txt
[-]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/share/perl5/vendor_perl/Alien(alien, perl-Alien-ROOT, perl-Alien-
     SDL)
[x]: Package contains no bundled libraries without FPC exception.
[!]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 3 files.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Perl:
[x]: Package contains the mandatory BuildRequires and Requires:.
[x]: CPAN urls should be non-versioned.

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: perl-Alien-Packages-0.003-1.fc22.noarch.rpm
          perl-Alien-Packages-0.003-1.fc22.src.rpm
perl-Alien-Packages.noarch: W: spelling-error %description -l en_US ap -> AP, pa, a
perl-Alien-Packages.noarch: W: spelling-error %description -l en_US foreach -> for each, for-each, reach
perl-Alien-Packages.src: W: spelling-error %description -l en_US ap -> AP, pa, a
perl-Alien-Packages.src: W: spelling-error %description -l en_US foreach -> for each, for-each, reach
2 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
perl-Alien-Packages.noarch: W: spelling-error %description -l en_US ap -> AP, pa, a
perl-Alien-Packages.noarch: W: spelling-error %description -l en_US foreach -> for each, for-each, reach
1 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
perl-Alien-Packages (rpmlib, GLIBC filtered):
    perl
    perl(:MODULE_COMPAT_5.20.2)
    perl(Alien::Packages::Base)
    perl(Carp)
    perl(File::Spec)
    perl(IPC::Cmd)
    perl(IPC::Run)
    perl(Module::Pluggable)
    perl(Module::Pluggable::Object)
    perl(strict)
    perl(vars)
    perl(warnings)



Provides
--------
perl-Alien-Packages:
    perl(Alien::Packages)
    perl(Alien::Packages::Base)
    perl(Alien::Packages::Dpkg)
    perl(Alien::Packages::LsLpp)
    perl(Alien::Packages::Msi)
    perl(Alien::Packages::PkgInfo)
    perl(Alien::Packages::Pkg_Info::pkgsrc)
    perl(Alien::Packages::Pkg_Info::ports)
    perl(Alien::Packages::Rpm)
    perl(Alien::Packages::RpmDB)
    perl-Alien-Packages



Source checksums
----------------
http://www.cpan.org/authors/id/R/RE/REHSACK/Alien-Packages-0.003.tar.gz :
  CHECKSUM(SHA256) this package     : 12092987d982637d32f58007d0a8632ad00582909741acc6bec89109616c2b42
  CHECKSUM(SHA256) upstream package : 12092987d982637d32f58007d0a8632ad00582909741acc6bec89109616c2b42


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/bin/fedora-review -b 1242723
Buildroot used: fedora-22-x86_64
Active plugins: Generic, Shell-api, Perl
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 Petr Šabata 2015-07-21 17:18:36 UTC
Orion, just so you know -- I've just sponsored Tim.

Comment 4 Orion Poplawski 2015-08-16 01:26:11 UTC
Looks good.  Approved.

Comment 5 Tim Orling 2015-08-16 02:06:32 UTC
New Package SCM Request
=======================
Package Name: perl-Alien-Packages
Short Description: Find information of installed packages
Upstream URL: http://search.cpan.org/dist/Alien-Packages/
Owners: ttorling psabata orion
Branches: f21 f22 f23 epel7
InitialCC: perl-sig

Comment 6 Gwyn Ciesla 2015-08-17 13:31:44 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2015-08-17 14:32:20 UTC
perl-Alien-Packages-0.003-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/perl-Alien-Packages-0.003-2.fc21

Comment 8 Fedora Update System 2015-08-17 14:40:52 UTC
perl-Alien-Packages-0.003-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/perl-Alien-Packages-0.003-2.fc22

Comment 9 Fedora Update System 2015-08-17 14:46:45 UTC
perl-Alien-Packages-0.003-2.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/perl-Alien-Packages-0.003-2.fc23

Comment 10 Fedora Update System 2015-08-17 14:54:17 UTC
perl-Alien-Packages-0.003-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/perl-Alien-Packages-0.003-2.el7

Comment 11 Orion Poplawski 2015-09-20 16:02:46 UTC
Tim - any reason not to push these to stable?

Comment 12 Fedora Update System 2015-10-16 06:58:21 UTC
perl-Alien-Packages-0.003-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-10-16 13:21:10 UTC
perl-Alien-Packages-0.003-2.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2015-10-16 14:52:49 UTC
perl-Alien-Packages-0.003-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2015-11-01 02:50:05 UTC
perl-Alien-Packages-0.003-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.